%define real_name MP3-Info
%define name perl-%real_name
%define version 1.22
%define release %mkrel 1

Summary: Perl module to manipulate / fetch info from MP3 audio files
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
URL: http://search.cpan.org/dist/%{real_name}/
Source: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/MPEG/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root
Obsoletes: perl-MPEG-MP3Info
Provides: perl-MPEG-MP3Info = %{version}

%description
Manipulate / fetch info from MP3 audio files : winamp genres, mp3tag, mp3info.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes eg
%{_mandir}/*/*
%{perl_vendorlib}/MP3

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2008.0
+ Revision: 19211
- 1.22

  + Mandriva <devel@mandriva.com>


* Tue Mar 07 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.20-1mdk
- 1.20

* Fri Apr 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.13-1mdk
- 1.13

* Tue Jan 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.11-1mdk
- new version 1.11

* Mon Jan 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.10-1mdk
- new version 1.10
- Add examples in documentation

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.02-4mdk
- rebuild
- own dir

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-3mdk
- rebuild for new perl
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

